Update Pass Status
curl --request PUT \
--url https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/status"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Passes > Pass Images
Update Pass Status
Update the status of the Wallet pass
Update the status of a specific Wallet pass.
Parameters:
status: New status to be set.lpass: Pass object, automatically resolved from the request.
Returns:
JSONResponse: A response indicating the success of the update.
PUT
/
v2
/
passes
/
{passTypeIdentifier}
/
{serialNumber}
/
status
Update Pass Status
curl --request PUT \
--url https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/status"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Available options:
valid, invalid, redeemed, expired, unpaid, locked, incomplete Response
Successful Response
